version: '3.3'
services:
  k3s:
    image: rancher/k3s:v1.21.3-k3s1
    container_name: k3s-server
    privileged: true
    environment:
      - K3S_KUBECONFIG_OUTPUT=/output/kubeconfig.yaml
      - K3S_KUBECONFIG_MODE=644
    volumes:
      - k3s-storage:/var/lib/rancher/k3s
      - /Users/mac/k3s-output:/output
    ports:
      - "6443:6443"
      - "80:80"
      - "443:443"
volumes:
  k3s-storage:
    driver: local
